import { baseRequest } from '@/utils/newRequest'

const request = (url, ...arg) => baseRequest(`/api/webapp/` + url, ...arg)

export default {
	// 学员添加
	add(data) {
		return request('disk/coursestudentrelate/add', data, 'post')
	},
	// 学员列表
	queryList(data) {
		return request('disk/coursestudentrelate/page', data, 'get')
	},
	// 学员详情
	detail(data) {
		return request('disk/coursestudentrelate/detail', data, 'get')
	},
	// 学员导入
	importStudents(data) {
		return request('disk/coursestudentrelate/import', data, 'post')
	},
	// 学员导入模版下载
	downloadImportlate(data) {
		return request('disk/coursestudentrelate/downloadImportlate', data, 'get', { responseType: 'blob' })
	},
	// 学员删除
	delete(data) {
		return request('disk/coursestudentrelate/delete', data, 'post')
	}
}
